petsc-3.6.2 2015-10-02
Report Typos and Errors

# PCMGSetRestriction

Sets the function to be used to restrict vector from level l to l-1.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  PCMGSetRestriction(PC pc,PetscInt l,Mat mat)

Logically Collective on PC and Mat

### Input Parameters

| pc | - the multigrid context
| l | - the level (0 is coarsest) to supply [Do not supply 0]
| mat | - the restriction matrix

### Notes

Usually this is the same matrix used also to set the interpolation for the same level.

One can pass in the interpolation matrix or its transpose; PETSc figures out from the matrix size which one it is.

If you do not set this, the transpose of the Mat set with PCMGSetInterpolation() is used.

### Keywords

MG, set, multigrid, restriction, level

### See Also

PCMGSetInterpolation()

Level:advanced
Location:src/ksp/pc/impls/mg/mgfunc.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages